
#ifndef DECOLLECTOR_I_H
#define DECOLLECTOR_I_H

enum getter_msg_pending {
	TOPOLOGY_RESPONSE         = 1 << 0,
	AP_CAP_REPORT             = 1 << 1,
	AP_METRICS_RESPONSE       = 1 << 2,
	BSTA_CAP_REPORT           = 1 << 3,
	USTA_LINK_METRICS         = 1 << 4,
	STA_CAP_REPORT            = 1 << 5,
	AP_AUTOCONFIG_RESPONSE    = 1 << 6,
	OPER_CHANNEL_REPORT       = 1 << 7,
	CHANNEL_SCAN_REPORT       = 1 << 8,
	CHANNEL_PREFERENCE_REPORT = 1 << 9,
};


enum getter_state {
	GT_IDLE = 0,
	GT_TOPOLOGY_RESPONSE_PENDING = 1,
	GT_TOPOLOGY_RESPONSE_RECEIVED,
	GT_AP_CAP_RECEIVED,
	GT_AP_METRIC_RECEIVED,
	GT_BSTA_CAP_RECEIVED,
	GT_SCAN_RESPONSE_RECEIVED,
	GT_DONE_1,
};

struct getter_context {
	atimer_t t;
	uint32_t tmo;
	int retry;
	uint8_t state;
	uint16_t request;
	void *collector;
	void *agent;
	uint32_t rbitmap;
};

#endif	/* DECOLLECTOR_I_H */
